org.bouncycastle.jce.spec

## Class GOST3410PublicKeySpec

- java.lang.Object
- - org.bouncycastle.jce.spec.GOST3410PublicKeySpec

All Implemented Interfaces:
  java.security.spec.KeySpec

    public class GOST3410PublicKeySpec
    extends java.lang.Object
    implements java.security.spec.KeySpec

This class specifies a GOST3410-94 public key with its associated parameters.

### Constructor Summary

Constructors
Constructor and Description
`GOST3410PublicKeySpec(java.math.BigInteger y, java.math.BigInteger p, java.math.BigInteger q, java.math.BigInteger a)` Creates a new GOST3410PublicKeySpec with the specified parameter values.

### Method Summary

Methods
`java.math.BigInteger` `getA()` Returns the base `g`.
`java.math.BigInteger` `getP()` Returns the prime `p`.
`java.math.BigInteger` `getQ()` Returns the sub-prime `q`.
`java.math.BigInteger` `getY()` Returns the public key `y`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GOST3410PublicKeySpec

    public GOST3410PublicKeySpec(java.math.BigInteger y,
                         java.math.BigInteger p,
                         java.math.BigInteger q,
                         java.math.BigInteger a)

Creates a new GOST3410PublicKeySpec with the specified parameter values.

Parameters:
  `y` - the public key.
  `p` - the prime.
  `q` - the sub-prime.
  `a` - the base.

### Method Detail

#### getY

    public java.math.BigInteger getY()

Returns the public key `y`.

Returns:
  the public key `y`.

#### getP

    public java.math.BigInteger getP()

Returns the prime `p`.

Returns:
  the prime `p`.

#### getQ

    public java.math.BigInteger getQ()

Returns the sub-prime `q`.

Returns:
  the sub-prime `q`.

#### getA

    public java.math.BigInteger getA()

Returns the base `g`.

Returns:
  the base `g`.